Page payments with their invoice allocations
curl --request GET \
--url https://api.getbreezyapp.com/v1/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getbreezyapp.com/v1/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getbreezyapp.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "11111111-1111-4111-8111-000000000701",
"number": "P-1001",
"account": {
"id": "11111111-1111-4111-8111-000000000101",
"name": "Example Household"
},
"status": "PAID",
"method": "CARD",
"amount_cents": 80000,
"currency": "USD",
"occurred_at": "2026-09-02T18:00:00Z",
"created_at": "2026-09-02T18:00:00Z",
"updated_at": "2026-09-02T18:00:00Z",
"collected_by": {
"id": "11111111-1111-4111-8111-000000000401",
"name": "Alex Example"
},
"invoice_allocations": [
{
"invoice_id": "11111111-1111-4111-8111-000000000601",
"applied_cents": 50000
},
{
"invoice_id": "11111111-1111-4111-8111-000000000602",
"applied_cents": 30000
}
]
},
{
"id": "11111111-1111-4111-8111-000000000702",
"number": "P-1002",
"account": {
"id": "11111111-1111-4111-8111-000000000101",
"name": "Example Household"
},
"status": "PROCESSING",
"method": "ACH",
"amount_cents": 10000,
"currency": "USD",
"occurred_at": "2026-09-07T18:00:00Z",
"created_at": "2026-09-07T18:00:00Z",
"updated_at": null,
"collected_by": null,
"invoice_allocations": [
{
"invoice_id": "11111111-1111-4111-8111-000000000601",
"applied_cents": 10000
}
]
}
],
"pagination": {
"next_cursor": null
},
"meta": {
"request_id": "example-request",
"generated_at": "2026-09-08T19:00:00Z",
"timezone": "America/Los_Angeles"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "end_date must be later than start_date",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid API key is required",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"message": "This resource supports GET",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Request limit exceeded",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Unable to complete request",
"request_id": "example-request",
"details": []
}
}Payments
Page payments with their invoice allocations
All statuses by default. Orders by created_at then id ascending. A payment amount is counted once regardless of its invoice allocations.
GET
/
payments
Page payments with their invoice allocations
curl --request GET \
--url https://api.getbreezyapp.com/v1/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getbreezyapp.com/v1/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getbreezyapp.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "11111111-1111-4111-8111-000000000701",
"number": "P-1001",
"account": {
"id": "11111111-1111-4111-8111-000000000101",
"name": "Example Household"
},
"status": "PAID",
"method": "CARD",
"amount_cents": 80000,
"currency": "USD",
"occurred_at": "2026-09-02T18:00:00Z",
"created_at": "2026-09-02T18:00:00Z",
"updated_at": "2026-09-02T18:00:00Z",
"collected_by": {
"id": "11111111-1111-4111-8111-000000000401",
"name": "Alex Example"
},
"invoice_allocations": [
{
"invoice_id": "11111111-1111-4111-8111-000000000601",
"applied_cents": 50000
},
{
"invoice_id": "11111111-1111-4111-8111-000000000602",
"applied_cents": 30000
}
]
},
{
"id": "11111111-1111-4111-8111-000000000702",
"number": "P-1002",
"account": {
"id": "11111111-1111-4111-8111-000000000101",
"name": "Example Household"
},
"status": "PROCESSING",
"method": "ACH",
"amount_cents": 10000,
"currency": "USD",
"occurred_at": "2026-09-07T18:00:00Z",
"created_at": "2026-09-07T18:00:00Z",
"updated_at": null,
"collected_by": null,
"invoice_allocations": [
{
"invoice_id": "11111111-1111-4111-8111-000000000601",
"applied_cents": 10000
}
]
}
],
"pagination": {
"next_cursor": null
},
"meta": {
"request_id": "example-request",
"generated_at": "2026-09-08T19:00:00Z",
"timezone": "America/Los_Angeles"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "end_date must be later than start_date",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid API key is required",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"message": "This resource supports GET",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Request limit exceeded",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Unable to complete request",
"request_id": "example-request",
"details": []
}
}Authorizations
Existing Breezy API key. Grants all published reads in its associated company. No app permission scopes.
Query Parameters
Maximum parent records or report rows. Complete children are always included.
Required range:
1 <= x <= 100Repeat the original filters; any valid page size may continue. Foreign-company, tampered or mismatched cursors return INVALID_CURSOR.
Minimum string length:
1Repeat ids for a bounded ID set. Valid foreign or missing IDs contribute no list rows.
Required array length:
1 - 100 elementsInclusive creation instant.
Exclusive creation instant.
Inclusive parent-record updated_at filter only; not a complete change feed.
Minimum array length:
1Available options:
SUBMITTING, PENDING, PAID, FAILED, CANCELED, PROCESSING Available options:
CARD, ACH, CASH, CHECK, PAYPAL, VENMO, CASHAPP, OTHER, WISETACK_LOAN, null